classification
Title: French quotes in the documentation are often ungrammatical
Type: Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.2, Python 3.3, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: akuchling, cpitcla, docs@python, pitrou, python-dev, r.david.murray, vstinner
Priority: normal Keywords:

Created on 2014-12-24 11:42 by cpitcla, last changed 2017-02-15 13:48 by akuchling. This issue is now closed.

Messages (6)
msg233076 - (view) Author: Clément (cpitcla) Date: 2014-12-24 11:42
From https://docs.python.org/3/howto/unicode.html:

> For a while people just wrote programs that didn’t display accents.
> In the mid-1980s an Apple II BASIC program written by a French 
> speaker might have lines like these:
> 
> PRINT "FICHIER EST COMPLETE."
> PRINT "CARACTERE NON ACCEPTE."
> 
> Those messages should contain accents (completé, caractère, accepté), > and they just look wrong to someone who can read French.

One of the reasons the message looks wrong is that "FICHIER EST COMPLETE" in ungrammatical in French. Google has 16 hits for that query, half of which are from the Python documentation. The second one is better.

I imagine the first one comes from the English "FILE IS COMPLETE", but I'm not even sure what that meant, so it's hard to give a better translation :/ Instead, here are a few examples that could work:

MISE A JOUR TERMINEE (Update completed − missing à and é in terminée)
VEUILLEZ REDEMARRER (Please reboot − missing é in redémarrer)
PARAMETRES ENREGISTRES (Settings saved − missing è in paramètre and é in enregistrés)

Similarly, https://docs.python.org/3/library/email-examples.html#examples-using-the-provisional-api:

> msg['Subject'] = "Ayons asperges pour le déjeuner"

I imagine this comes from the English "Let's have asparagus for lunch!", but the translation reads "Possess asparagus for lunch we". A proper idiomatic French version would be "Ça te dirait de manger des asperges à midi?" (Would you like to eat asparagus for lunch?)

Again further on the same page:

> Cela ressemble à un excellent recipie[1] déjeuner.

Could this mean "This looks like a delicious lunch recipie?" The typo in recipie would have prevented the machine translation from picking up recipie, which survived in the French version? This currently reads "This look like recipie lunch a excellent". A proper French version (adjusted to have accents) might be "J'ai trouvé une recette sympa: [1]" ("I found a nice recipe: [1]").

Not sure why using French is needed though; English already has a few accented words: a message with subject "Résumé attached", and body "Here's my résumé" would probably work just as well, and might not divert the reader's attention as much.

Side note: in the example Pépé writes to Fabrette and Penelope. Aren't they the same character?

Clément.
msg233079 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-12-24 15:23
Heh, I never claimed I understood French, but none of our French speakers decided to review my fake-french examples :)

(I can't speak to the examples from the unicode howto.)
msg233086 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-12-24 19:59
New changeset 55462210ba2d by Benjamin Peterson in branch '2.7':
improve incorrect French (#23109)
https://hg.python.org/cpython/rev/55462210ba2d

New changeset 2c87dd2d821e by Benjamin Peterson in branch '3.4':
improve incorrect French (#23109)
https://hg.python.org/cpython/rev/2c87dd2d821e

New changeset c5603b77df68 by Benjamin Peterson in branch 'default':
merge 3.4 (#23109)
https://hg.python.org/cpython/rev/c5603b77df68
msg233088 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-12-24 22:08
New changeset 181dfe9288d4 by Benjamin Peterson in branch '3.4':
update correct French examples (#23109)
https://hg.python.org/cpython/rev/181dfe9288d4
msg233111 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-12-26 17:20
> Heh, I never claimed I understood French, but none of our French speakers decided to review my fake-french examples :)

I just thought they looked funny :-)
msg287853 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2017-02-15 13:48
It looks like there's nothing left to do for this ticket.
History
Date User Action Args
2017-02-15 13:48:52akuchlingsetstatus: open -> closed

nosy: + akuchling
messages: + msg287853

resolution: fixed
stage: resolved
2014-12-26 17:20:42pitrousetmessages: + msg233111
2014-12-24 22:08:07python-devsetmessages: + msg233088
2014-12-24 19:59:10python-devsetnosy: + python-dev
messages: + msg233086
2014-12-24 15:23:24r.david.murraysetnosy: + r.david.murray
messages: + msg233079
2014-12-24 14:25:03serhiy.storchakasetnosy: + pitrou, vstinner
2014-12-24 11:42:35cpitclacreate